#property show_inputs
#include <WinUser32.mqh>
extern string COMMENT = "";
extern double LOT = 0.0;
extern int FILTER = 1;
extern double RISK = 1.50;
//+------------------------------------------------------------------------+
double STOP;
//+
int start(){
 PlaySound("tick.wav");
int timdrop=WindowTimeOnDropped();
if(timdrop==0){Alert("   ");return;}
graf();
//+------------------------------------------------------------------------+ 
int ret=MessageBox("     ","SELL STOP",MB_OKCANCEL);
if(ret==IDCANCEL){PlaySound("timeout.wav");ObjectDelete("%df");return;}
double stop=ObjectGet("%df",OBJPROP_PRICE1);
ObjectDelete("%df");
if(stop==High[0])STOP=0;else STOP=NormalizeDouble(stop,Digits); 
if(STOP==0&&LOT==0){Alert("  ");return;}
if(STOP>stop)STOP=STOP+1*Point;
//+------------------------------------------------------------------------+
int i=0;
while(Time[i]!=timdrop)i++;
double price=NormalizeDouble(Low[i]-Point*FILTER,Digits);
if(STOP<price&&STOP>0){Alert("     .");return;}
int pips=(STOP-price)/Point;
double tickvalue=MarketInfo(Symbol(),MODE_TICKVALUE);
if(Digits==5||Digits==3){pips=pips/10;tickvalue=tickvalue*10;}
//---------------------------------------------------------------------------------------+
if(LOT>0&&STOP>0)
{
double risk=tickvalue*LOT*pips/(AccountBalance()/100);
string f=DoubleToStr(risk,2);
ret=MessageBox("   "+f+"%","SELL STOP",MB_OKCANCEL);
   if(ret==IDCANCEL){PlaySound("timeout.wav");return;}
   PlaySound("tick.wav");
   OrderSend(Symbol(),OP_SELLSTOP,LOT,price,0,STOP,0,COMMENT);error();return;
}
//---------------------------------------------------------------------------------------+
if(LOT>0){OrderSend(Symbol(),OP_SELLSTOP,LOT,price,0,0,0,COMMENT);error();return;}
//---------------------------------------------------------------------------------------+
double sum=AccountBalance()/100*RISK;
double sp=sum/pips;
double minlot=MarketInfo(Symbol(),MODE_MINLOT);
double Lot=sp/tickvalue;
if(Lot<minlot)
{
risk=tickvalue*minlot*pips/(AccountBalance()/100);
if(risk<0){Alert(" ");return;}
f=DoubleToStr(risk,2);
ret=MessageBox("   "+f+"%     .\n\n                       ?","",MB_YESNO);
if(ret==IDNO){PlaySound("timeout.wav");return;}
PlaySound("tick.wav");
OrderSend(Symbol(),OP_SELLSTOP,minlot,price,0,STOP,0,COMMENT);
error();return;
}
else
{
double step=MarketInfo(Symbol(),MODE_LOTSTEP);
double lot=NormalizeDouble(Lot,2);
if(step==0.1)lot=NormalizeDouble(Lot,1);
if(lot>Lot)lot=lot-step;
if(lot<minlot)lot=minlot;
OrderSend(Symbol(),OP_SELLSTOP,lot,price,0,STOP,0,COMMENT);
error();return;
}
return;}
//+
int error(){
int error=GetLastError();
 switch(error)
  {
   case 0: PlaySound("ok.wav");return;
   case 1: Alert(" ,   ");return;
   case 2: Alert(" ");return;
   case 3: Alert(" ");return;
   case 4: Alert("  ");return;
   case 6: Alert(" ");return;
   case 8: Alert("  ");return;
   case 128: Alert("    ");return;
   case 129: Alert(" ");return;
   case 130: Alert(" ");return;
   case 131: Alert(" ");return;
   case 132: Alert(" ");return;
   case 133: Alert(" ");return;
   case 134: Alert("    ");return;
   case 136: Alert(" ");return;
   case 137: Alert(" ");return;
   case 138: Alert(" ");return;
   case 141: Alert(" ");return;
   default : Alert(" ",error);return;
  }
return;}
//+
int graf(){
ObjectCreate("%df",OBJ_HLINE,0,0,High[0]);
ObjectSet("%df",OBJPROP_COLOR,Red);
ObjectSet("%df",OBJPROP_STYLE,STYLE_DASHDOT);
WindowRedraw();
return;}
//+